Subject: Venus Fly Trap
From: [email-masked]
Date: Sat, 25 Jun 1994 02:50:24 GMT
Newsgroups: bionet.plants

Yeah!  Finally someone has passed on to me a Venus Fly Trap to care
for.   One thing, UH OH, I have absolutely no idea how to care for
this cute little guy and I'm afraid I will kill him if I guess on the
procedure.   Help me please, what do I feed him and how often?   Where
would be the best place to keep him....outside? inside? in direct sun?
in shade?   Ahhhhhhh!   How much water will he drink and will he eat my
cat?   Any suggestions would be greatly appreciated.  Much thanks...

With Regards,

Krystyne